set nocompatible

"----------------------------------------
"文字コードの自動認識
"----------------------------------------
let &termencoding = &encoding
set encoding=utf-8

"----------------------------------------
"YoN added ここから
"----------------------------------------
set laststatus=2	" YoN added
" ステータスラインに文字コードと改行文字を表示する
set statusline=%<%f\ %m%r%h%w%{'['.(&fenc!=''?&fenc:&enc).']['.&ff.']'}%=%l,%c%V%8P
"set guifont=MS_Mincho:h14
"set guifont=ipa\ mona\ 14
"set gfn=IPA\ モナー\ ゴシック\ 12
"set gfn=IPAMonaMincho\ 16
"set gfn=M+1P+IPAG\ 16
"set gfn=Fixed\ Regular\ 16
"set gfn=Monospace\ Regular\ 16
"set guifont=Monospace\ Regular\ 16
"set guifont=M+2VM+IPAG\ circle\ 14
set guifontset=Curier\ Regular\ 16
" シンタックスをオンにする
syn on

" カラースキーム
"colorscheme desert
colorscheme torte

" バックアップファイルを作らない
set nobackup

""""""""""""""""""""""""""""""""""""""""""""""""""""
"      読み込んだファイルの文字コードの変更 
""""""""""""""""""""""""""""""""""""""""""""""""""""
" ファイルの文字コードや、改行コードを変更する時は、変更したいファイルを開いた状態で、
" :set fileencoding=文字コード
" :set fenc=文字コード (上のコマンドの短い形式。こちらでも良い。)
" :set fileencoding=euc-jp (エンコーディングEUC-JPに変更。)
" :set fileencoding=shift_jis (エンコーディングSHIFT_JISに変更。)
" :set fileencoding=utf-8 (エンコーディングUTF-8に変更。)
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
"     読み込んだファイルのファイルフォーマットの種類の変更
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
" :set fileformat=ファイルフォーマットの種類
" :set ff=ファイルフォーマットの種類 (上のコマンドの短い形式。こちらでも良い。)
" :set fileformat=dos (改行をWindowsの形式に変更。)
" :set fileformat=mac (改行をMacの形式に変更。)
" :set fileformat=unix (改行をUnixの形式に変更。)
" を実行します。
" これらのコマンドの実行後はファイルに変更が発生しているので、
" 変更を確定させるには保存が必要です。
" :w

"----------------------------------------
"YoN added ここまで
"----------------------------------------

" 文字コードの自動認識
if &encoding !=# 'utf-8'
  set encoding=japan
  set fileencoding=japan
endif
if has('iconv')
  let s:enc_euc = 'euc-jp'
  let s:enc_jis = 'iso-2022-jp'
  " iconvがeucJP-msに対応しているかをチェック
  if iconv("\x87\x64\x87\x6a", 'cp932', 'eucjp-ms') ==# "\xad\xc5\xad\xcb"
    let s:enc_euc = 'eucjp-ms'
    let s:enc_jis = 'iso-2022-jp-3'
  " iconvがJISX0213に対応しているかをチェック
  elseif iconv("\x87\x64\x87\x6a", 'cp932', 'euc-jisx0213') ==# "\xad\xc5\xad\xcb"
    let s:enc_euc = 'euc-jisx0213'
    let s:enc_jis = 'iso-2022-jp-3'
  endif
  " fileencodingsを構築
  if &encoding ==# 'utf-8'
    let s:fileencodings_default = &fileencodings
    let &fileencodings = s:enc_jis .','. s:enc_euc .',cp932'
    let &fileencodings = &fileencodings .','. s:fileencodings_default
    unlet s:fileencodings_default
  else
    let &fileencodings = &fileencodings .','. s:enc_jis
    set fileencodings+=utf-8,ucs-2le,ucs-2
    if &encoding =~# '^\(euc-jp\|euc-jisx0213\|eucjp-ms\)$'
      set fileencodings+=cp932
      set fileencodings-=euc-jp
      set fileencodings-=euc-jisx0213
      set fileencodings-=eucjp-ms
      let &encoding = s:enc_euc
      let &fileencoding = s:enc_euc
    else
      let &fileencodings = &fileencodings .','. s:enc_euc
    endif
  endif
  " 定数を処分
  unlet s:enc_euc
  unlet s:enc_jis
endif
" 日本語を含まない場合は fileencoding に encoding を使うようにする
if has('autocmd')
  function! AU_ReCheck_FENC()
    if &fileencoding =~# 'iso-2022-jp' && search("[^\x01-\x7e]", 'n') == 0
      let &fileencoding=&encoding
      if has('win32')
        let &fileencoding='cp932'
      endif
    endif
  endfunction
  autocmd BufReadPost * call AU_ReCheck_FENC()
endif
" 改行コードの自動認識
set fileformats=unix,dos,mac
" □や○の文字があってもカーソル位置がずれないようにする。
if exists('&ambiwidth')
  set ambiwidth=double
endif

"----------------------------------------
"メッセージの日本語化
"----------------------------------------
if has('unix')&&has('gui_running')
  let $LANG='ja'
endif

"----------------------------------------
"オプション設定
"----------------------------------------
set hidden
"set number
set title
set cmdheight=2
set laststatus=2
set showcmd
set ruler
set display=lastline
set shellslash
set ignorecase
set smartcase
set incsearch
set wildmenu
set whichwrap=b,s,[,],<,>
set backspace=indent,eol,start
if &t_Co > 2 || has("gui_running")
  syntax on
  set hlsearch
endif
